# Telegram Bot Commands

<style>.bmc-button img{height: 34px !important;width: 35px !important;margin-bottom: 1px !important;box-shadow: none !important;border: none !important;vertical-align: middle !important;}.bmc-button{padding: 7px 15px 7px 10px !important;line-height: 35px !important;height:51px !important;text-decoration: none !important;display:inline-flex !important;color:#FFFFFF !important;background-color:#FF813F !important;border-radius: 5px !important;border: 1px solid transparent !important;padding: 7px 15px 7px 10px !important;font-size: 22px !important;letter-spacing: 0.6px !important;box-shadow: 0px 1px 2px rgba(190, 190, 190, 0.5) !important;-webkit-box-shadow: 0px 1px 2px 2px rgba(190, 190, 190, 0.5) !important;margin: 0 auto !important;font-family:'Cookie', cursive !important;-webkit-box-sizing: border-box !important;box-sizing: border-box !important;}.bmc-button:hover, .bmc-button:active, .bmc-button:focus {-webkit-box-shadow: 0px 1px 2px 2px rgba(190, 190, 190, 0.5) !important;text-decoration: none !important;box-shadow: 0px 1px 2px 2px rgba(190, 190, 190, 0.5) !important;opacity: 0.85 !important;color:#FFFFFF !important;}</style><link href="https://fonts.googleapis.com/css?family=Cookie" rel="stylesheet"><a class="bmc-button" target="_blank" href="https://www.buymeacoffee.com/Anson"><img src="https://cdn.buymeacoffee.com/buttons/bmc-new-btn-logo.svg" alt="Buy me a beer"><span style="margin-left:5px;font-size:28px !important;">Buy me a beer</span></a>

## Getting a Stock Quote

Anytime the Bot is in your chat it will search all chats for `$` followed by a ticker. For example `$tsla` will return the following message for Tesla Motors:

```
The current stock price of Tesla Inc. is $321.35, the stock is currently up 2.7%
```

This works no matter where the ticker is in the message and you can have as many tickers as you want in the same message. For example:

```
I wonder how $aapl, $nflx, and $sono are performing today.
```

Will return:

![Conversation With Simple Telegram Bot](img\telegramBotTickerReply.png)

## Commands

- [`/help`](#/help) - Create a new project.
- [`/news`](#/news) - Start the live-reloading docs server.

### /help

This command just displays a short description of what the bot does and a link to this page.

### /news

This command is intelligent enough to get any tickers in the ticker format: `$amzn`, and can handle as many tickers as you would like to enter. For example saying `/news $tsla $aapl` would reply two different messages one for each ticker with a few news articles provided by the [IEX API](https://iexcloud.io/s/62c8503e).

_The bots need more commands, feel free to [open an issue](https://gitlab.com/simple-stock-bots/simple-telegram-stock-bot/-/issues) with suggestions._

[All market data is provided by IEX Cloud](https://iexcloud.io)
